libaaruformat 1.0 Aaru Data Preservation Suite - Format Library

Loading...
Searching...
No Matches
ChecksumHeader Struct Reference

Header that precedes the sequence of checksum entries for a checksum block. More...

`#include <aaruformat/structs/checksum.h>`

## Data Fields
uint32_t | identifier
| Block identifier, must be BlockType::ChecksumBlock.
uint32_t | length
| Length in bytes of the payload (all entries + their digest data, excluding this header).
uint8_t | entries
| Number of checksum entries that follow in the payload.

## Detailed Description

Header that precedes the sequence of checksum entries for a checksum block.

After this header, exactly ChecksumHeader::length bytes follow containing ChecksumHeader::entries consecutive ChecksumEntry records, each immediately followed by its digest payload.

Definition at line 73 of file checksum.h.

## Field Documentation

## ◆ entries

uint8_t ChecksumHeader::entries

Number of checksum entries that follow in the payload.

Definition at line 77 of file checksum.h.

Referenced by process_checksum_block(), and write_checksum_block().

## ◆ identifier

uint32_t ChecksumHeader::identifier

Block identifier, must be BlockType::ChecksumBlock.

Definition at line 75 of file checksum.h.

Referenced by process_checksum_block(), and write_checksum_block().

## ◆ length

uint32_t ChecksumHeader::length

Length in bytes of the payload (all entries + their digest data, excluding this header).

Definition at line 76 of file checksum.h.

Referenced by process_checksum_block(), and write_checksum_block().

The documentation for this struct was generated from the following file:

- include/aaruformat/structs/checksum.h